## meepctl deploy

Deploy containers on the K8s cluster

### Synopsis

Deploy containers on the K8s cluster

AdvantEDGE is composed of a collection of micro-services (a.k.a the groups).

Deploy command starts a group of containers the in the K8s cluster.
Optional registry & tag parameters allows to specify a shared registry & tag for core images.
Default registry is configured in ~/.meepctl.yaml.
Defaut tag is: latest

```
meepctl deploy <group> [flags]
```

### Examples

```
  # Deploy AdvantEDGE dependencies
  meepctl deploy dep
  # Delete and re-deploy only AdvantEDGE core containers
  meepctl deploy core --force
  # Deploy AdvantEDGE version 1.0.0 from my.registry.com
  meepctl deploy core --registry my.registry.com --tag 1.0.0

Valid Targets:
  * dep
  * core
```

### Options

```
      --codecov           Use when deploying code coverage binaries (dev. option)
  -f, --force             Deployed components are deleted and deployed
  -h, --help              help for deploy
  -r, --registry string   Override registry from config file
      --tag string        Repo tag to use (default "latest")
```

### Options inherited from parent commands

```
  -t, --time      Display timing information
  -v, --verbose   Display debug information
```

### SEE ALSO

* [meepctl](meepctl.md)	 - meepctl - CLI application to control the AdvantEDGE platform

###### Auto generated by spf13/cobra on 29-Sep-2021
